## org-mode 6.05

=== Makefile ===
# Makefile - for the org-mode distribution
#
# Maintainer: Carsten Dominik <dominik@science.uva.nl>
# Version: VERSIONTAG
#
# To install org-mode, edit the Makefile, type `make', then `make install'.
# To create the PDF and HTML documentation files, type `make doc'.

##----------------------------------------------------------------------
##  YOU MUST EDIT THE FOLLOWING LINES 
##----------------------------------------------------------------------

# Name of your emacs binary
EMACS=emacs

# Where local software is found
prefix=/usr/local

# Where local lisp files go.
lispdir = $(prefix)/share/emacs/site-lisp

# Where info files go.
infodir = $(prefix)/info

##----------------------------------------------------------------------
## YOU MAY NEED TO EDIT THESE
##----------------------------------------------------------------------

# Using emacs in batch mode.
# BATCH=$(EMACS) -batch -q
# BATCH=$(EMACS) -batch -q -eval "(add-to-list (quote load-path) \".\")"

BATCH=$(EMACS) -batch -q -eval                             \
 "(progn (add-to-list (quote load-path) (expand-file-name \"./lisp/\")) \
        (add-to-list (quote load-path) \"$(lispdir)\"))"

# Specify the byte-compiler for compiling org-mode files
ELC= $(BATCH) -f batch-byte-compile

# How to make a pdf file from a texinfo file
TEXI2PDF = texi2pdf

# How to create directories
MKDIR = mkdir -p

# How to create the info files from the texinfo file
MAKEINFO = makeinfo

# How to create the HTML file
TEXI2HTML = makeinfo --html --number-sections

# How to move the byte compiled files to their destination.  
MV = mv

# How to copy the lisp files to their distination.
CP = cp -p

##----------------------------------------------------------------------
##  BELOW THIS LINE ON YOUR OWN RISK!
##----------------------------------------------------------------------

# The following variables need to be defined by the maintainer
LISPF      = 	org.el			\
		org-agenda.el		\
	     	org-archive.el		\
		org-bbdb.el		\
		org-bibtex.el		\
	     	org-clock.el		\
	     	org-colview.el		\
	     	org-colview-xemacs.el	\
	     	org-compat.el		\
		org-exp.el		\
		org-export-latex.el	\
		org-faces.el		\
		org-gnus.el		\
		org-id.el		\
		org-info.el		\
		org-jsinfo.el		\
		org-irc.el		\
		org-mac-message.el	\
	     	org-macs.el		\
		org-mew.el              \
		org-mhe.el		\
		org-mouse.el		\
		org-publish.el		\
		org-remember.el		\
		org-rmail.el		\
		org-table.el		\
		org-vm.el		\
		org-wl.el

LISPFILES0 = $(LISPF:%=lisp/%)
LISPFILES  = $(LISPFILES0) lisp/org-install.el
ELCFILES0  = $(LISPFILES0:.el=.elc)
ELCFILES   = $(LISPFILES:.el=.elc)
DOCFILES   = doc/org.texi doc/org.pdf doc/org doc/dir
CARDFILES  = doc/orgcard.tex doc/orgcard.pdf doc/orgcard_letter.pdf
TEXIFILES  = doc/org.texi
INFOFILES  = doc/org


.SUFFIXES: .el .elc .texi
SHELL = /bin/sh

# Additional distribution files
DISTFILES_extra=  Makefile ChangeLog request-assign-future.txt contrib
DISTFILES_xemacs=  xemacs/noutline.el xemacs/ps-print-invisible.el xemacs/README

default: $(ELCFILES)

all:	$(ELCFILES) $(INFOFILES)

compile: $(ELCFILES0)

install: install-lisp

doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf

p:
	make pdf && open doc/org.pdf

c:
	make card && gv doc/orgcard.ps

install-lisp: $(LISPFILES) $(ELCFILES)
	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
	$(CP) $(LISPFILES) $(lispdir)
	$(CP) $(ELCFILES)  $(lispdir)

install-info: $(INFOFILES)
	if [ ! -d $(infodir) ]; then $(MKDIR) $(infodir); else true; fi ;
	$(CP) $(INFOFILES) $(infodir)

install-noutline: xemacs/noutline.elc
	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
	$(CP) xemacs/noutline.el xemacs/noutline.elc $(lispdir)

autoloads: lisp/org-install.el

lisp/org-install.el: $(LISPFILES0) Makefile
	$(BATCH) --eval "(require 'autoload)" \
		--eval '(find-file "org-install.el")'  \
		--eval '(erase-buffer)' \
		--eval '(mapc (lambda (x) (generate-file-autoloads (symbol-name x))) (quote ($(LISPFILES0))))' \
		--eval '(insert "\n(provide (quote org-install))\n")' \
		--eval '(save-buffer)'
	mv org-install.el lisp

xemacs/noutline.elc: xemacs/noutline.el

doc/org: doc/org.texi
	(cd doc; $(MAKEINFO) --no-split org.texi -o org)

doc/org.pdf: doc/org.texi
	(cd doc; $(TEXI2PDF) org.texi)

doc/org.html: doc/org.texi
	(cd doc; $(TEXI2HTML) --no-split -o org.html org.texi)

doc/orgcard.dvi: doc/orgcard.tex
	(cd doc; tex orgcard.tex)

doc/orgcard.pdf: doc/orgcard.dvi
	dvips -q -f -t landscape doc/orgcard.dvi | gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=doc/orgcard.pdf -c .setpdfwrite -

doc/orgcard.ps: doc/orgcard.dvi
	dvips -t landscape -o doc/orgcard.ps doc/orgcard.dvi 

doc/orgcard_letter.dvi: doc/orgcard.tex
	perl -pe 's/letterpaper=0/letterpaper=1/' doc/orgcard.tex > doc/orgcard_letter.tex
	(cd doc; tex orgcard_letter.tex)

doc/orgcard_letter.pdf: doc/orgcard_letter.dvi
	dvips -q -f -t landscape doc/orgcard_letter.dvi | gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=doc/orgcard_letter.pdf -c .setpdfwrite -

doc/orgcard_letter.ps: doc/orgcard_letter.dvi
	dvips -t landscape -o doc/orgcard_letter.ps doc/orgcard_letter.dvi 

# Below here are special targets for maintenance only

updateweb:
	ssh cdominik@caprisun.dreamhost.com 'pull-worg-org.sh && publish-worg-org.sh'

html: doc/org.html

html_manual: doc/org.texi
	rm -rf doc/manual
	mkdir doc/manual
	$(TEXI2HTML) -o doc/manual doc/org.texi

info:	doc/org

pdf:	doc/org.pdf

card:	doc/orgcard.pdf doc/orgcard.ps doc/orgcard_letter.pdf doc/orgcard_letter.ps

distfile:
	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
	touch doc/org.texi doc/orgcard.tex # force update
	make info
	make doc
	make lisp/org-install.el
	rm -rf org-$(TAG) org-$(TAG).zip
	$(MKDIR) org-$(TAG)
	$(MKDIR) org-$(TAG)/xemacs
	$(MKDIR) org-$(TAG)/doc
	$(MKDIR) org-$(TAG)/lisp
	cp -r $(LISPFILES) org-$(TAG)/lisp
	cp -r $(DOCFILES) $(CARDFILES) org-$(TAG)/doc
	cp -r $(DISTFILES_extra) org-$(TAG)/
	cp -r README_DIST org-$(TAG)/README
	cp -r ORGWEBPAGE/Changes.org org-$(TAG)/
	cp -r $(DISTFILES_xemacs) org-$(TAG)/xemacs/
	zip -r org-$(TAG).zip org-$(TAG)
	gtar zcvf org-$(TAG).tar.gz org-$(TAG)

release:
	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
	make distfile
	make doc
	UTILITIES/gplmanual.pl
	make html_manual
	rm -rf RELEASEDIR
	$(MKDIR) RELEASEDIR
	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz

upload_release:
	(cd RELEASEDIR; lftp -f ../../org-mode-proprietary/ftp_upload_release_legito)

upload_manual:
	lftp -f ../org-mode-proprietary/ftp_upload_manual_legito

relup0:
	make release
	make upload_release

relup:
	make release
	make upload_release
	make upload_manual

db:
	grep -e '(debug)' lisp/*el

cleanelc:
	rm -f $(ELCFILES)
cleandoc:
	(cd doc; rm -f org.pdf org org.html orgcard.pdf orgcard.ps)
	(cd doc; rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
	(cd doc; rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
	(cd doc; rm -f orgcard_letter.tex orgcard_letter.pdf)
	(cd doc; rm -rf manual)
clean:
	make cleanelc
	make cleandoc
	rm -f *~ */*~ */*/*~
	rm -rf RELEASEDIR
	rm -f lisp/org-install.el

.el.elc:
	$(ELC) $<


push:
	git-push git+ssh://repo.or.cz/srv/git/org-mode.git master

pushtag:
	git-tag -m "Adding tag" -a $(TAG)
	git-push git+ssh://repo.or.cz/srv/git/org-mode.git $(TAG)

pushreleasetag:
	git-tag -m "Adding release tag" -a release_$(TAG)
	git-push git+ssh://repo.or.cz/srv/git/org-mode.git release_$(TAG)

dummy:
	echo ${prefix}

# Dependencies

lisp/org.elc:           lisp/org-macs.elc lisp/org-compat.elc lisp/org-faces.elc
lisp/org-agenda.elc:       lisp/org.elc
lisp/org-archive.elc:      lisp/org.elc
lisp/org-bbdb.elc:         lisp/org.elc
lisp/org-bibtex.elc:       lisp/org.elc
lisp/org-clock.elc:        lisp/org.elc
lisp/org-colview.elc:      lisp/org.elc
lisp/org-colview-xemacs.elc:      lisp/org.elc
lisp/org-compat.elc:
lisp/org-exp.elc:          lisp/org.elc lisp/org-agenda.elc
lisp/org-export-latex.elc: lisp/org.elc lisp/org-exp.elc
lisp/org-faces.elc:                    lisp/org-macs.elc lisp/org-compat.elc
lisp/org-gnus.elc:         lisp/org.elc
lisp/org-id.elc:           lisp/org.elc
lisp/org-info.elc:         lisp/org.elc
lisp/org-jsinfo.elc:       lisp/org.elc lisp/org-exp.elc
lisp/org-irc.elc:          lisp/org.elc
lisp/org-mac-message.elc:  lisp/org.elc
lisp/org-macs.elc:
lisp/org-mew.elc:          lisp/org.elc
lisp/org-mhe.elc:          lisp/org.elc
lisp/org-mouse.elc:        lisp/org.elc
lisp/org-publish.elc:
lisp/org-remember.elc:     lisp/org.elc
lisp/org-rmail.elc:        lisp/org.elc
lisp/org-table.elc:        lisp/org.elc
lisp/org-vm.elc:           lisp/org.elc
lisp/org-wl.elc:           lisp/org.elc

## org-mode 6.14

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 lispdir = $(prefix)/share/emacs/site-lisp
 
 # Where info files go.
-infodir = $(prefix)/info
+infodir = $(prefix)/share/info
 
 ##----------------------------------------------------------------------
 ## YOU MAY NEED TO EDIT THESE
@@ -49,11 +49,11 @@
 # How to create the HTML file
 TEXI2HTML = makeinfo --html --number-sections
 
-# How to move the byte compiled files to their destination.  
-MV = mv
-
-# How to copy the lisp files to their distination.
+# How to copy the lisp files and elc files to their distination.
 CP = cp -p
+
+# Name of the program to install info files
+INSTALL_INFO=install-info
 
 ##----------------------------------------------------------------------
 ##  BELOW THIS LINE ON YOUR OWN RISK!
@@ -62,6 +62,7 @@
 # The following variables need to be defined by the maintainer
 LISPF      = 	org.el			\
 		org-agenda.el		\
+	     	org-attach.el		\
 	     	org-archive.el		\
 		org-bbdb.el		\
 		org-bibtex.el		\
@@ -77,16 +78,20 @@
 		org-info.el		\
 		org-jsinfo.el		\
 		org-irc.el		\
+		org-list.el		\
 		org-mac-message.el	\
 	     	org-macs.el		\
 		org-mew.el              \
 		org-mhe.el		\
 		org-mouse.el		\
 		org-publish.el		\
+		org-plot.el		\
 		org-remember.el		\
 		org-rmail.el		\
 		org-table.el		\
+		org-timer.el		\
 		org-vm.el		\
+		org-w3m.el              \
 		org-wl.el
 
 LISPFILES0 = $(LISPF:%=lisp/%)
@@ -130,6 +135,7 @@
 install-info: $(INFOFILES)
 	if [ ! -d $(infodir) ]; then $(MKDIR) $(infodir); else true; fi ;
 	$(CP) $(INFOFILES) $(infodir)
+	$(INSTALL_INFO) --info-file=$(INFOFILES) --info-dir=$(infodir)
 
 install-noutline: xemacs/noutline.elc
 	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
@@ -197,6 +203,7 @@
 distfile:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
 	touch doc/org.texi doc/orgcard.tex # force update
+	make cleancontrib
 	make info
 	make doc
 	make lisp/org-install.el
@@ -245,6 +252,9 @@
 db:
 	grep -e '(debug)' lisp/*el
 
+cleancontrib:
+	find contrib -name \*~ -exec rm {} \;
+
 cleanelc:
 	rm -f $(ELCFILES)
 cleandoc:
@@ -253,11 +263,20 @@
 	(cd doc; rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
 	(cd doc; rm -f orgcard_letter.tex orgcard_letter.pdf)
 	(cd doc; rm -rf manual)
+
+cleanrel:
+	rm -rf RELEASEDIR
+	rm -rf org-6.*
+	rm -f org-6*zip org-6*tar.gz
+
 clean:
 	make cleanelc
 	make cleandoc
+	make cleanrel
 	rm -f *~ */*~ */*/*~
-	rm -rf RELEASEDIR
+
+cleanall:
+	make clean
 	rm -f lisp/org-install.el
 
 .el.elc:
@@ -282,29 +301,34 @@
 
 lisp/org.elc:           lisp/org-macs.elc lisp/org-compat.elc lisp/org-faces.elc
 lisp/org-agenda.elc:       lisp/org.elc
+lisp/org-attach.elc:       lisp/org.elc lisp/org-id.elc
 lisp/org-archive.elc:      lisp/org.elc
 lisp/org-bbdb.elc:         lisp/org.elc
 lisp/org-bibtex.elc:       lisp/org.elc
 lisp/org-clock.elc:        lisp/org.elc
 lisp/org-colview.elc:      lisp/org.elc
 lisp/org-colview-xemacs.elc:      lisp/org.elc
-lisp/org-compat.elc:
+lisp/org-compat.elc:       lisp/org-macs.elc
 lisp/org-exp.elc:          lisp/org.elc lisp/org-agenda.elc
 lisp/org-export-latex.elc: lisp/org.elc lisp/org-exp.elc
-lisp/org-faces.elc:                    lisp/org-macs.elc lisp/org-compat.elc
+lisp/org-faces.elc:        lisp/org-macs.elc lisp/org-compat.elc
 lisp/org-gnus.elc:         lisp/org.elc
 lisp/org-id.elc:           lisp/org.elc
 lisp/org-info.elc:         lisp/org.elc
+lisp/org-irc.elc:          lisp/org.elc
 lisp/org-jsinfo.elc:       lisp/org.elc lisp/org-exp.elc
-lisp/org-irc.elc:          lisp/org.elc
+lisp/org-list.elc:         lisp/org-macs.elc lisp/org-compat.elc
 lisp/org-mac-message.elc:  lisp/org.elc
 lisp/org-macs.elc:
 lisp/org-mew.elc:          lisp/org.elc
 lisp/org-mhe.elc:          lisp/org.elc
 lisp/org-mouse.elc:        lisp/org.elc
+lisp/org-plot.elc:         lisp/org.elc lisp/org-exp.elc lisp/org-table.elc
 lisp/org-publish.elc:
 lisp/org-remember.elc:     lisp/org.elc
 lisp/org-rmail.elc:        lisp/org.elc
 lisp/org-table.elc:        lisp/org.elc
+lisp/org-timer.el:         lisp/org.elc
 lisp/org-vm.elc:           lisp/org.elc
+lisp/org-w3m.elc:          lisp/org.elc
 lisp/org-wl.elc:           lisp/org.elc

## org-mode 6.27a

=== Makefile ===
--- 
+++ 
@@ -27,10 +27,8 @@
 ##----------------------------------------------------------------------
 
 # Using emacs in batch mode.
-# BATCH=$(EMACS) -batch -q
-# BATCH=$(EMACS) -batch -q -eval "(add-to-list (quote load-path) \".\")"
-
-BATCH=$(EMACS) -batch -q -eval                             \
+
+BATCH=$(EMACS) -batch -q -no-site-file -eval                             \
  "(progn (add-to-list (quote load-path) (expand-file-name \"./lisp/\")) \
         (add-to-list (quote load-path) \"$(lispdir)\"))"
 
@@ -62,6 +60,7 @@
 # The following variables need to be defined by the maintainer
 LISPF      = 	org.el			\
 		org-agenda.el		\
+		org-ascii.el		\
 	     	org-attach.el		\
 	     	org-archive.el		\
 		org-bbdb.el		\
@@ -71,13 +70,19 @@
 	     	org-colview-xemacs.el	\
 	     	org-compat.el		\
 		org-exp.el		\
-		org-export-latex.el	\
+		org-docbook.el		\
 		org-faces.el		\
+		org-feed.el		\
+		org-footnote.el		\
 		org-gnus.el		\
+		org-html.el		\
+		org-icalendar.el	\
 		org-id.el		\
 		org-info.el		\
+		org-inlinetask.el	\
 		org-jsinfo.el		\
 		org-irc.el		\
+		org-latex.el		\
 		org-list.el		\
 		org-mac-message.el	\
 	     	org-macs.el		\
@@ -86,19 +91,21 @@
 		org-mouse.el		\
 		org-publish.el		\
 		org-plot.el		\
+		org-protocol.el		\
 		org-remember.el		\
 		org-rmail.el		\
 		org-table.el		\
 		org-timer.el		\
 		org-vm.el		\
 		org-w3m.el              \
-		org-wl.el
+		org-wl.el		\
+		org-xoxo.el
 
 LISPFILES0 = $(LISPF:%=lisp/%)
 LISPFILES  = $(LISPFILES0) lisp/org-install.el
 ELCFILES0  = $(LISPFILES0:.el=.elc)
 ELCFILES   = $(LISPFILES:.el=.elc)
-DOCFILES   = doc/org.texi doc/org.pdf doc/org doc/dir
+DOCFILES   = doc/org.texi doc/org.pdf doc/org doc/dir doc/.nosearch
 CARDFILES  = doc/orgcard.tex doc/orgcard.pdf doc/orgcard_letter.pdf
 TEXIFILES  = doc/org.texi
 INFOFILES  = doc/org
@@ -136,6 +143,9 @@
 	if [ ! -d $(infodir) ]; then $(MKDIR) $(infodir); else true; fi ;
 	$(CP) $(INFOFILES) $(infodir)
 	$(INSTALL_INFO) --info-file=$(INFOFILES) --info-dir=$(infodir)
+
+install-info-debian: $(INFOFILES)
+	$(INSTALL_INFO) --infodir=$(infodir) $(INFOFILES)
 
 install-noutline: xemacs/noutline.elc
 	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
@@ -162,6 +172,7 @@
 
 doc/org.html: doc/org.texi
 	(cd doc; $(TEXI2HTML) --no-split -o org.html org.texi)
+	UTILITIES/manfull.pl doc/org.html
 
 doc/orgcard.dvi: doc/orgcard.tex
 	(cd doc; tex orgcard.tex)
@@ -193,6 +204,7 @@
 	rm -rf doc/manual
 	mkdir doc/manual
 	$(TEXI2HTML) -o doc/manual doc/org.texi
+	UTILITIES/mansplit.pl doc/manual/*.html
 
 info:	doc/org
 
@@ -235,10 +247,16 @@
 	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz
 
 upload_release:
-	(cd RELEASEDIR; lftp -f ../../org-mode-proprietary/ftp_upload_release_legito)
+	rsync -avuz RELEASEDIR/ cdominik@orgmode.org:orgmode.org/
 
 upload_manual:
-	lftp -f ../org-mode-proprietary/ftp_upload_manual_legito
+	rsync -avuz --delete doc/manual/ cdominik@orgmode.org:orgmode.org/manual/
+
+snap:
+	make release TAG=snapshot
+	scp RELEASEDIR/org-snapshot.zip cdominik@orgmode.org:orgmode.org/
+	scp RELEASEDIR/org-snapshot.tar.gz cdominik@orgmode.org:orgmode.org/
+	make cleanrel
 
 relup0:
 	make release
@@ -267,7 +285,7 @@
 cleanrel:
 	rm -rf RELEASEDIR
 	rm -rf org-6.*
-	rm -f org-6*zip org-6*tar.gz
+	rm -rf org-6*zip org-6*tar.gz org-snapshot*
 
 clean:
 	make cleanelc
@@ -299,36 +317,45 @@
 
 # Dependencies
 
-lisp/org.elc:           lisp/org-macs.elc lisp/org-compat.elc lisp/org-faces.elc
-lisp/org-agenda.elc:       lisp/org.elc
-lisp/org-attach.elc:       lisp/org.elc lisp/org-id.elc
-lisp/org-archive.elc:      lisp/org.elc
-lisp/org-bbdb.elc:         lisp/org.elc
-lisp/org-bibtex.elc:       lisp/org.elc
-lisp/org-clock.elc:        lisp/org.elc
-lisp/org-colview.elc:      lisp/org.elc
-lisp/org-colview-xemacs.elc:      lisp/org.elc
-lisp/org-compat.elc:       lisp/org-macs.elc
-lisp/org-exp.elc:          lisp/org.elc lisp/org-agenda.elc
-lisp/org-export-latex.elc: lisp/org.elc lisp/org-exp.elc
-lisp/org-faces.elc:        lisp/org-macs.elc lisp/org-compat.elc
-lisp/org-gnus.elc:         lisp/org.elc
-lisp/org-id.elc:           lisp/org.elc
-lisp/org-info.elc:         lisp/org.elc
-lisp/org-irc.elc:          lisp/org.elc
-lisp/org-jsinfo.elc:       lisp/org.elc lisp/org-exp.elc
-lisp/org-list.elc:         lisp/org-macs.elc lisp/org-compat.elc
-lisp/org-mac-message.elc:  lisp/org.elc
+lisp/org.elc:		lisp/org-macs.el lisp/org-compat.el lisp/org-faces.el
+lisp/org-agenda.elc:	lisp/org.el
+lisp/org-ascii.elc:	lisp/org-exp.el
+lisp/org-attach.elc:	lisp/org.el lisp/org-id.el
+lisp/org-archive.elc:	lisp/org.el
+lisp/org-bbdb.elc:	lisp/org.el
+lisp/org-bibtex.elc:	lisp/org.el
+lisp/org-clock.elc:	lisp/org.el
+lisp/org-colview.elc:	lisp/org.el
+lisp/org-colview-xemacs.elc:	lisp/org.el
+lisp/org-compat.elc:	lisp/org-macs.el
+lisp/org-exp.elc:	lisp/org.el lisp/org-agenda.el
+lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el
+lisp/org-docbook.elc:	lisp/org.el lisp/org-exp.el
+lisp/org-faces.elc:	lisp/org-macs.el lisp/org-compat.el
+lisp/org-feed.elc:	lisp/org.el
+lisp/org-footnotes.elc:	lisp/org-macs.el lisp/org-compat.el
+lisp/org-gnus.elc:	lisp/org.el
+lisp/org-html.elc:	lisp/org-exp.el
+lisp/org-icalendar.elc:	lisp/org-exp.el
+lisp/org-id.elc:	lisp/org.el
+lisp/org-info.elc:	lisp/org.el
+lisp/org-inlinetask.elc:
+lisp/org-irc.elc:	lisp/org.el
+lisp/org-jsinfo.elc:	lisp/org.el lisp/org-exp.el
+lisp/org-list.elc:	lisp/org-macs.el lisp/org-compat.el
+lisp/org-mac-message.elc:	lisp/org.el
 lisp/org-macs.elc:
-lisp/org-mew.elc:          lisp/org.elc
-lisp/org-mhe.elc:          lisp/org.elc
-lisp/org-mouse.elc:        lisp/org.elc
-lisp/org-plot.elc:         lisp/org.elc lisp/org-exp.elc lisp/org-table.elc
+lisp/org-mew.elc:	lisp/org.el
+lisp/org-mhe.elc:	lisp/org.el
+lisp/org-mouse.elc:	lisp/org.el
+lisp/org-plot.elc:	lisp/org.el lisp/org-exp.el lisp/org-table.el
 lisp/org-publish.elc:
-lisp/org-remember.elc:     lisp/org.elc
-lisp/org-rmail.elc:        lisp/org.elc
-lisp/org-table.elc:        lisp/org.elc
-lisp/org-timer.el:         lisp/org.elc
-lisp/org-vm.elc:           lisp/org.elc
-lisp/org-w3m.elc:          lisp/org.elc
-lisp/org-wl.elc:           lisp/org.elc
+lisp/org-protocol.elc:	lisp/org.el
+lisp/org-remember.elc:	lisp/org.el
+lisp/org-rmail.elc:	lisp/org.el
+lisp/org-table.elc:	lisp/org.el
+lisp/org-timer.elc:	lisp/org.el
+lisp/org-vm.elc:	lisp/org.el
+lisp/org-w3m.elc:	lisp/org.el
+lisp/org-wl.elc:	lisp/org.el
+lisp/org-xoxo.elc:	lisp/org-exp.el

## org-mode 6.34c

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,7 @@
 # Using emacs in batch mode.
 
 BATCH=$(EMACS) -batch -q -no-site-file -eval                             \
- "(progn (add-to-list (quote load-path) (expand-file-name \"./lisp/\")) \
-        (add-to-list (quote load-path) \"$(lispdir)\"))"
+  "(progn (add-to-list (quote load-path) \"$(lispdir)\") (add-to-list (quote load-path) (expand-file-name \"./lisp/\")))"
 
 # Specify the byte-compiler for compiling org-mode files
 ELC= $(BATCH) -f batch-byte-compile
@@ -64,20 +63,29 @@
 	     	org-attach.el		\
 	     	org-archive.el		\
 		org-bbdb.el		\
+		org-beamer.el		\
 		org-bibtex.el		\
 	     	org-clock.el		\
 	     	org-colview.el		\
 	     	org-colview-xemacs.el	\
 	     	org-compat.el		\
+	     	org-crypt.el		\
+	     	org-ctags.el		\
+	     	org-datetree.el		\
+	     	org-docview.el		\
 		org-exp.el		\
+		org-exp-blocks.el	\
 		org-docbook.el		\
 		org-faces.el		\
 		org-feed.el		\
 		org-footnote.el		\
+		org-freemind.el		\
 		org-gnus.el		\
+		org-habit.el		\
 		org-html.el		\
 		org-icalendar.el	\
 		org-id.el		\
+		org-indent.el		\
 		org-info.el		\
 		org-inlinetask.el	\
 		org-jsinfo.el		\
@@ -88,12 +96,14 @@
 	     	org-macs.el		\
 		org-mew.el              \
 		org-mhe.el		\
+		org-mobile.el		\
 		org-mouse.el		\
 		org-publish.el		\
 		org-plot.el		\
 		org-protocol.el		\
 		org-remember.el		\
 		org-rmail.el		\
+		org-src.el		\
 		org-table.el		\
 		org-timer.el		\
 		org-vm.el		\
@@ -122,6 +132,14 @@
 
 all:	$(ELCFILES) $(INFOFILES)
 
+up2:	update
+	sudo ${MAKE} install
+
+update:
+	git pull
+	${MAKE} clean
+	${MAKE} all
+
 compile: $(ELCFILES0)
 
 install: install-lisp
@@ -129,10 +147,10 @@
 doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf
 
 p:
-	make pdf && open doc/org.pdf
+	${MAKE} pdf && open doc/org.pdf
 
 c:
-	make card && gv doc/orgcard.ps
+	${MAKE} card && gv doc/orgcard.ps
 
 install-lisp: $(LISPFILES) $(ELCFILES)
 	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
@@ -196,7 +214,7 @@
 # Below here are special targets for maintenance only
 
 updateweb:
-	ssh cdominik@caprisun.dreamhost.com 'pull-worg-org.sh && publish-worg-org.sh'
+	ssh cdominik@orgmode.org 'pull-worg-org.sh && publish-worg-org.sh'
 
 html: doc/org.html
 
@@ -215,10 +233,10 @@
 distfile:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
 	touch doc/org.texi doc/orgcard.tex # force update
-	make cleancontrib
-	make info
-	make doc
-	make lisp/org-install.el
+	${MAKE} cleancontrib
+	${MAKE} info
+	${MAKE} doc
+	${MAKE} lisp/org-install.el
 	rm -rf org-$(TAG) org-$(TAG).zip
 	$(MKDIR) org-$(TAG)
 	$(MKDIR) org-$(TAG)/xemacs
@@ -235,10 +253,10 @@
 
 release:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
-	make distfile
-	make doc
+	${MAKE} distfile
+	${MAKE} doc
 	UTILITIES/gplmanual.pl
-	make html_manual
+	${MAKE} html_manual
 	rm -rf RELEASEDIR
 	$(MKDIR) RELEASEDIR
 	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
@@ -252,20 +270,14 @@
 upload_manual:
 	rsync -avuz --delete doc/manual/ cdominik@orgmode.org:orgmode.org/manual/
 
-snap:
-	make release TAG=snapshot
-	scp RELEASEDIR/org-snapshot.zip cdominik@orgmode.org:orgmode.org/
-	scp RELEASEDIR/org-snapshot.tar.gz cdominik@orgmode.org:orgmode.org/
-	make cleanrel
-
 relup0:
-	make release
-	make upload_release
+	${MAKE} release
+	${MAKE} upload_release
 
 relup:
-	make release
-	make upload_release
-	make upload_manual
+	${MAKE} release
+	${MAKE} upload_release
+	${MAKE} upload_manual
 
 db:
 	grep -e '(debug)' lisp/*el
@@ -285,16 +297,16 @@
 cleanrel:
 	rm -rf RELEASEDIR
 	rm -rf org-6.*
-	rm -rf org-6*zip org-6*tar.gz org-snapshot*
+	rm -rf org-6*zip org-6*tar.gz
 
 clean:
-	make cleanelc
-	make cleandoc
-	make cleanrel
+	${MAKE} cleanelc
+	${MAKE} cleandoc
+	${MAKE} cleanrel
 	rm -f *~ */*~ */*/*~
 
 cleanall:
-	make clean
+	${MAKE} clean
 	rm -f lisp/org-install.el
 
 .el.elc:
@@ -323,21 +335,30 @@
 lisp/org-attach.elc:	lisp/org.el lisp/org-id.el
 lisp/org-archive.elc:	lisp/org.el
 lisp/org-bbdb.elc:	lisp/org.el
+lisp/org-beamer.elc:	lisp/org.el
 lisp/org-bibtex.elc:	lisp/org.el
 lisp/org-clock.elc:	lisp/org.el
 lisp/org-colview.elc:	lisp/org.el
 lisp/org-colview-xemacs.elc:	lisp/org.el
 lisp/org-compat.elc:	lisp/org-macs.el
+lisp/org-crypt.elc:	lisp/org-crypt.el lisp/org.el
+lisp/org-ctags.elc:	lisp/org.el
+lisp/org-datetree.elc:	lisp/org.el
+lisp/org-docview.elc:	lisp/org.el
 lisp/org-exp.elc:	lisp/org.el lisp/org-agenda.el
-lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el
+lisp/org-exp-blocks.elc: lisp/org.el
+lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el lisp/org-beamer.el
 lisp/org-docbook.elc:	lisp/org.el lisp/org-exp.el
 lisp/org-faces.elc:	lisp/org-macs.el lisp/org-compat.el
 lisp/org-feed.elc:	lisp/org.el
 lisp/org-footnotes.elc:	lisp/org-macs.el lisp/org-compat.el
+lisp/org-freemind.elc:	lisp/org.el
 lisp/org-gnus.elc:	lisp/org.el
 lisp/org-html.elc:	lisp/org-exp.el
+lisp/org-habit.elc:	lisp/org.el lisp/org-agenda.el
 lisp/org-icalendar.elc:	lisp/org-exp.el
 lisp/org-id.elc:	lisp/org.el
+lisp/org-indent.elc:	lisp/org.el lisp/org-macs.el lisp/org-compat.el
 lisp/org-info.elc:	lisp/org.el
 lisp/org-inlinetask.elc:
 lisp/org-irc.elc:	lisp/org.el
@@ -347,12 +368,14 @@
 lisp/org-macs.elc:
 lisp/org-mew.elc:	lisp/org.el
 lisp/org-mhe.elc:	lisp/org.el
+lisp/org-mobile.elc:	lisp/org.el
 lisp/org-mouse.elc:	lisp/org.el
 lisp/org-plot.elc:	lisp/org.el lisp/org-exp.el lisp/org-table.el
 lisp/org-publish.elc:
 lisp/org-protocol.elc:	lisp/org.el
 lisp/org-remember.elc:	lisp/org.el
 lisp/org-rmail.elc:	lisp/org.el
+lisp/org-src.elc:	lisp/org-macs.el lisp/org-compat.el
 lisp/org-table.elc:	lisp/org.el
 lisp/org-timer.elc:	lisp/org.el
 lisp/org-vm.elc:	lisp/org.el

## org-mode 6.36c

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Using emacs in batch mode.
 
 BATCH=$(EMACS) -batch -q -no-site-file -eval                             \
-  "(progn (add-to-list (quote load-path) \"$(lispdir)\") (add-to-list (quote load-path) (expand-file-name \"./lisp/\")))"
+  "(setq load-path (cons (expand-file-name \"./lisp/\") (cons \"$(lispdir)\" load-path)))"
 
 # Specify the byte-compiler for compiling org-mode files
 ELC= $(BATCH) -f batch-byte-compile
@@ -45,6 +45,7 @@
 
 # How to create the HTML file
 TEXI2HTML = makeinfo --html --number-sections
+TEXI2HTMLNOPSLIT = makeinfo --html --no-split --number-sections
 
 # How to copy the lisp files and elc files to their distination.
 CP = cp -p
@@ -73,6 +74,7 @@
 	     	org-ctags.el		\
 	     	org-datetree.el		\
 	     	org-docview.el		\
+	     	org-entities.el		\
 		org-exp.el		\
 		org-exp-blocks.el	\
 		org-docbook.el		\
@@ -115,7 +117,9 @@
 LISPFILES  = $(LISPFILES0) lisp/org-install.el
 ELCFILES0  = $(LISPFILES0:.el=.elc)
 ELCFILES   = $(LISPFILES:.el=.elc)
-DOCFILES   = doc/org.texi doc/org.pdf doc/org doc/dir doc/.nosearch
+DOCFILES   = doc/org.texi doc/org.pdf doc/org doc/dir \
+             doc/pdflayout.sty doc/.nosearch \
+             doc/orgguide.texi doc/orgguide.pdf
 CARDFILES  = doc/orgcard.tex doc/orgcard.pdf doc/orgcard_letter.pdf
 TEXIFILES  = doc/org.texi
 INFOFILES  = doc/org
@@ -144,13 +148,13 @@
 
 install: install-lisp
 
-doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf
+doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgguide.pdf
 
 p:
 	${MAKE} pdf && open doc/org.pdf
 
-c:
-	${MAKE} card && gv doc/orgcard.ps
+g:
+	${MAKE} pdf && open doc/orgguide.pdf
 
 install-lisp: $(LISPFILES) $(ELCFILES)
 	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
@@ -188,28 +192,22 @@
 doc/org.pdf: doc/org.texi
 	(cd doc; $(TEXI2PDF) org.texi)
 
+doc/orgguide.pdf: doc/orgguide.texi
+	(cd doc; $(TEXI2PDF) orgguide.texi)
+
 doc/org.html: doc/org.texi
 	(cd doc; $(TEXI2HTML) --no-split -o org.html org.texi)
 	UTILITIES/manfull.pl doc/org.html
 
-doc/orgcard.dvi: doc/orgcard.tex
-	(cd doc; tex orgcard.tex)
-
-doc/orgcard.pdf: doc/orgcard.dvi
-	dvips -q -f -t landscape doc/orgcard.dvi | gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=doc/orgcard.pdf -c .setpdfwrite -
-
-doc/orgcard.ps: doc/orgcard.dvi
-	dvips -t landscape -o doc/orgcard.ps doc/orgcard.dvi 
-
-doc/orgcard_letter.dvi: doc/orgcard.tex
-	perl -pe 's/letterpaper=0/letterpaper=1/' doc/orgcard.tex > doc/orgcard_letter.tex
-	(cd doc; tex orgcard_letter.tex)
-
-doc/orgcard_letter.pdf: doc/orgcard_letter.dvi
-	dvips -q -f -t landscape doc/orgcard_letter.dvi | gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=doc/orgcard_letter.pdf -c .setpdfwrite -
-
-doc/orgcard_letter.ps: doc/orgcard_letter.dvi
-	dvips -t landscape -o doc/orgcard_letter.ps doc/orgcard_letter.dvi 
+doc/orgcard.pdf: doc/orgcard.tex
+	(cd doc; pdftex orgcard.tex)
+
+doc/orgcard_letter.tex: doc/orgcard.tex
+	perl -pe 's/\\pdflayout=\(0l\)/\\pdflayout=(1l)/' \
+                   doc/orgcard.tex > doc/orgcard_letter.tex
+
+doc/orgcard_letter.pdf: doc/orgcard_letter.tex
+	(cd doc; pdftex orgcard_letter.tex)
 
 # Below here are special targets for maintenance only
 
@@ -224,11 +222,17 @@
 	$(TEXI2HTML) -o doc/manual doc/org.texi
 	UTILITIES/mansplit.pl doc/manual/*.html
 
+html_guide: doc/orgguide.texi
+	rm -rf doc/guide
+	mkdir doc/guide
+	$(TEXI2HTML) -o doc/guide doc/orgguide.texi
+	UTILITIES/guidesplit.pl doc/guide/*.html
+
 info:	doc/org
 
-pdf:	doc/org.pdf
-
-card:	doc/orgcard.pdf doc/orgcard.ps doc/orgcard_letter.pdf doc/orgcard_letter.ps
+pdf:	doc/org.pdf doc/orgguide.pdf
+
+card:	doc/orgcard.pdf doc/orgcard_letter.pdf
 
 distfile:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
@@ -257,10 +261,12 @@
 	${MAKE} doc
 	UTILITIES/gplmanual.pl
 	${MAKE} html_manual
+	${MAKE} html_guide
 	rm -rf RELEASEDIR
 	$(MKDIR) RELEASEDIR
 	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
 	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
+	cp doc/orgguide.pdf RELEASEDIR
 	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
 	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz
 
@@ -269,6 +275,7 @@
 
 upload_manual:
 	rsync -avuz --delete doc/manual/ cdominik@orgmode.org:orgmode.org/manual/
+	rsync -avuz --delete doc/guide/ cdominik@orgmode.org:orgmode.org/guide/
 
 relup0:
 	${MAKE} release
@@ -288,7 +295,7 @@
 cleanelc:
 	rm -f $(ELCFILES)
 cleandoc:
-	(cd doc; rm -f org.pdf org org.html orgcard.pdf orgcard.ps)
+	(cd doc; rm -f org.pdf org org.html orgcard.pdf)
 	(cd doc; rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
 	(cd doc; rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
 	(cd doc; rm -f orgcard_letter.tex orgcard_letter.pdf)
@@ -345,6 +352,7 @@
 lisp/org-ctags.elc:	lisp/org.el
 lisp/org-datetree.elc:	lisp/org.el
 lisp/org-docview.elc:	lisp/org.el
+lisp/org-entities.elc:	
 lisp/org-exp.elc:	lisp/org.el lisp/org-agenda.el
 lisp/org-exp-blocks.elc: lisp/org.el
 lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el lisp/org-beamer.el

=== debian/changelog ===
org-mode (6.36c-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Wed, 19 May 2010 13:31:31 +0200

org-mode (6.35i-1) unstable; urgency=low

  * New upstream release.
  * Do not include org-freemind for xemacs (Closes: #577496).

 -- Sebastien Delafond <seb@debian.org>  Tue, 13 Apr 2010 15:09:27 +0200

org-mode (6.35h-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Mon, 12 Apr 2010 10:33:56 +0200

org-mode (6.35g-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Sat, 10 Apr 2010 12:15:35 +0200

org-mode (6.35f-1) unstable; urgency=low

  * New upstream release.
  * Removed incorrect Vcs-* info.

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Apr 2010 12:48:18 +0200

org-mode (6.34c-4) unstable; urgency=low

  * Proper unescaping in links (Closes: #572404.)

 -- Sebastien Delafond <seb@debian.org>  Fri, 05 Mar 2010 10:45:05 +0100

org-mode (6.34c-3) unstable; urgency=low

  * Swith to 3.0(quilt) source format.

 -- Sebastien Delafond <seb@debian.org>  Tue, 02 Mar 2010 08:29:45 +0100

org-mode (6.34c-2) unstable; urgency=low

  * Add easypg as a Suggest, to enable org-crypt functionalities.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Tue, 16 Feb 2010 16:25:35 +0100

org-mode (6.34c-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Fri, 29 Jan 2010 15:48:44 +0100

org-mode (6.33f-2) unstable; urgency=low

  * New upstream release.
  * Remove ditaa.jar from both the source and binary packages, as its
    source code is not available (Closes: #565250). Seems 528117 crept
    back somehow.

 -- Sebastien Delafond <seb@debian.org>  Fri, 29 Jan 2010 15:41:21 +0100

org-mode (6.32b-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Thu, 29 Oct 2009 10:22:45 +0100

org-mode (6.31a-3) unstable; urgency=low

  * Add ORed dependency on emacs-snapshot (Closes: #551729).
  * Removed explicit version-depend on dpkg.

 -- Sebastien Delafond <seb@debian.org>  Thu, 22 Oct 2009 21:15:59 +0200

org-mode (6.31a-2) unstable; urgency=low

  * New Vcs-Git and Homepage fields in debian/control.
  * Lintian cleanups.

 -- Sebastien Delafond <seb@debian.org>  Mon, 19 Oct 2009 16:13:16 +0200

org-mode (6.31a-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Oct 2009 14:45:55 +0200

org-mode (6.31-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Wed, 30 Sep 2009 21:05:03 +0200

org-mode (6.30e-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Mon, 28 Sep 2009 16:57:29 +0200

org-mode (6.29c+1-3) unstable; urgency=low

  * Doh: emacs 23, not emacs-23 (Closes: #541651).

 -- Sebastien Delafond <seb@debian.org>  Sun, 16 Aug 2009 17:34:50 +0200

org-mode (6.29c+1-2) unstable; urgency=low

  * OR'ed depend on emacs23 as well (Closes: #541651).

 -- Sebastien Delafond <seb@debian.org>  Sat, 15 Aug 2009 11:44:49 +0200

org-mode (6.29c+1-1) unstable; urgency=low

  * Clarify licensing of org-mode's documentation in debian/copyright, and
    correct packaging bug in 6.27a-1 and 6.29c-1 where the wrong,
    GFDL-only version of the manual was accidentally included (Closes:
    #540736).

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Aug 2009 12:38:39 +0200

org-mode (6.29c-1) unstable; urgency=low

  * New upstream release
  * Bumped up standards revision.

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Aug 2009 09:02:41 +0200

org-mode (6.27a-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Tue, 16 Jun 2009 12:47:51 +0200

org-mode (6.26d-1) unstable; urgency=low

  * New upstream release.
  * Remove ditaa.jar from both the source and binary packages, as its
    source code is not available (Closes: #528117).

 -- Sebastien Delafond <seb@debian.org>  Mon, 11 May 2009 02:16:35 -0700

org-mode (6.26a-4) unstable; urgency=low

  * xemacs21 is fine, as it has url.el.

 -- Sebastien Delafond <seb@debian.org>  Tue, 21 Apr 2009 05:35:05 -0700

org-mode (6.26a-3) unstable; urgency=low

  * Do not support emacs21 and xemacs21 anymore; upstream author mentioned
    he will "not willingly break Emacs 21 support, but no longer will make
    any effort to adapt code for it" (Closes: #524951).

 -- Sebastien Delafond <seb@debian.org>  Tue, 21 Apr 2009 05:25:46 -0700

org-mode (6.26a-2) unstable; urgency=low

  * Fix void symbol in startup file; thanks Antonio P. P. Almeida for the
    patch (Closes: #524941).

 -- Sebastien Delafond <seb@debian.org>  Tue, 21 Apr 2009 02:10:47 -0700

org-mode (6.26a-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Mon, 20 Apr 2009 00:08:53 -0700

org-mode (6.25e-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Thu, 09 Apr 2009 11:23:38 -0700

org-mode (6.24b-1) unstable; urgency=low

  * New upstream release (Closes: #519559).
  * Update watch file so it doesn't match the snapshot release.
  * Remove .DS_Store accidentally included in upstream tarball.

 -- Sebastien Delafond <seb@debian.org>  Fri, 13 Mar 2009 06:53:16 -0700

org-mode (6.21b-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Mon, 02 Feb 2009 14:10:42 -0800

org-mode (6.19b-1) unstable; urgency=low

  * New upstream release.
  * Do not byte-compile *.el file more than once, and log said compilation
    to a temp file (inspired from emacs-goodies-el's install script).

 -- Sebastien Delafond <seb@debian.org>  Mon, 26 Jan 2009 08:41:17 -0800

org-mode (6.17c-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/watch to account for index.html renaming to index.html.

 -- Sebastien Delafond <seb@debian.org>  Sun, 18 Jan 2009 19:01:30 -0800



=== debian/control ===
Source: org-mode
Section: misc
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: texinfo, texlive-latex-base
Standards-Version: 3.8.4
Homepage: http://orgmode.org

Package: org-mode
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacs22 | xemacs21-bin | xemacs22-bin | emacs-snapshot
Suggests: remember-el, easypg
Description: keep notes, maintain ToDo lists, and do project planning in emacs
 Org-mode is a mode for keeping notes, maintaining ToDo lists, and
 doing project planning with a fast and effective plain-text system.
 .
 Org-mode develops organizational tasks around NOTES files that contain
 information about projects as plain text. Org-mode is implemented on
 top of outline-mode, which makes it possible to keep the content of
 large files well structured. Visibility cycling and structure editing
 help to work with the tree. Tables are easily created with a built-in
 table editor. Org-mode supports ToDo items, deadlines, time stamps,
 and scheduling. It dynamically compiles entries into an agenda. Plain
 text URL-like links connect to websites, emails, Usenet messages,
 BBDB entries, and any files related to the projects. For printing and
 sharing of notes, an Org-mode file can be exported as a structured
 ASCII file, HTML, and LaTeX.

=== debian/rules ===
#! /usr/bin/make -f

DOC_FILES := doc/org doc/org.pdf
DOC_TMP_FILES := doc/org.aux doc/org.cp doc/org.cps doc/org.fn doc/org.fns doc/org.ky doc/org.kys \
	doc/org.log doc/org.pg doc/org.toc doc/org.tp doc/org.vr

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -f $(DOC_FILES) $(DOC_TMP_FILES)

build:
	make $(DOC_FILES)
	rm -f $(DOC_TMP_FILES)

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .DS_Store -exec rm -f {} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs Changes.org doc/*
	rm -f $(CURDIR)/debian/org-mode/usr/share/doc/org-mode/org
	dh_installemacsen -v
	dh_fixperms
	dh_installinfo doc/org
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
